## org.codehaus.groovy.grails.commons
Class GrailsMetaClassUtils

    java.lang.Object
      org.codehaus.groovy.grails.commons.GrailsMetaClassUtils

    public class GrailsMetaClassUtils

extends Object

A class that provides utility methods for working with the Groovy MetaClass API

Since:
  0.5

  Created: Feb 21, 2007 Time: 6:01:07 PM
Author:
  Graeme Rocher

Constructor Summary
`GrailsMetaClassUtils()`

Method Summary
`static void` `copyExpandoMetaClass(Class fromClass, Class toClass, boolean removeSource)` Copies the ExpandoMetaClass dynamic methods and properties from one Class to another
`static groovy.lang.ExpandoMetaClass` `getExpandoMetaClass(Class aClass)`
`static groovy.lang.MetaClassRegistry` `getRegistry()` Retrieves the MetaClassRegistry instance

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsMetaClassUtils

    public GrailsMetaClassUtils()

Method Detail

### getRegistry

    public static groovy.lang.MetaClassRegistry getRegistry()

  Retrieves the MetaClassRegistry instance

  Returns:
    The registry

### copyExpandoMetaClass

    public static void copyExpandoMetaClass(Class fromClass,
                                            Class toClass,
                                            boolean removeSource)

  Copies the ExpandoMetaClass dynamic methods and properties from one Class to another

  Parameters:
    `fromClass` - The source class
    `toClass` - The destination class
    `removeSource` - Whether to remove the source class after completion. True if yes

### getExpandoMetaClass

    public static groovy.lang.ExpandoMetaClass getExpandoMetaClass(Class aClass)

Copyright (c) 2005-2009 The Grails project